User base
GET
URI:
• /api/v2/user/base?limit=***
• /api/v2/user/base?limit=***&page=***
Input fields:
| Field name | Type | Required | Description |
|---|---|---|---|
|
|
integer |
No |
The number of users per page. |
|
|
string |
No |
The cursor of the paginated page to retrieve. |
id |
string | No | The user ID. |
realm_id |
string | Yes | The realm ID. |
|
|
string |
No |
The end user's username. |
|
|
string |
No |
The end user's email address. |
|
|
string |
No |
The end user's mobile phone number. |
|
|
boolean |
No |
Whether the username is case-sensitive. |
Successful response fields:
| Field name | Type | Description |
|---|---|---|
customer_id |
string | The customer ID. |
client_id
|
string | The client ID. |
|
|
string |
The user ID. |
|
|
string |
Supported notification method, which can either of
|
|
|
string |
The authentication method, which can be one of the following:
|
|
|
string |
The user name. |
|
|
string |
The user ID. |
|
|
string |
The realm ID. |
|
|
string |
The user's mobile phone number. |
|
|
string |
The user's email address. |
|
|
boolean |
If the user is active. |
|
|
string |
The timestamp when the user was created. |
|
|
string |
The timestamp when the user was last updated. |
|
|
string |
The timestamp when the user was bypassed. |
|
|
string |
The timestamp when the user was locked out. |
|
|
integer |
The number of failed attempts of user login validation. |
|
|
boolean |
Whether temporary token is enabled for the end user. |
Response codes:
| Code | Response content | Description |
|---|---|---|
200 OK |
User info is successfully returned. | |
|
|
Auth Client is not found. |
|
|
|
No valid FIC subscription is found. |
Please enable free trial or register the license(s). |
|
|
You are not authorized to access the user. |
|
404 Not Found
|
|
Example request body:
{
"id": “12345678-abcd-efgh-1234-xxxxxxxxxxxx"
}
Example of successful response body:
{
"created_at": "2023-03-10T23:39:15",
"updated_at": null,
"id": "12345678-abcd-efgh-1234-xxxxxxxxxxxx",
"username": "abc",
"email": "abc@fortinet.com"
"mobile_number": "+1123456789",
"customer_id": "123456",
"realm_id": "12345678-abcd-efgh-1234-xxxxxxxxxxxx",
"active": true,
"bypass_at": null,
"lockout_at": null,
"temp_token": false,
"fail_times": 0,
"auth_method": "FTM",
"notification_method": "Email",
"sn": "abcd",
"expire_at": "2023-03-13T23:39:15",
"status": 0,
"refs": 1,
"usernames": "abc",
"refs_list": [
{
"name": "MyAuthClient",
"sn": null,
"cluster_id": null,
"vdom": "root",
"id": "12345678-abcd-efgh-1234-xxxxxxxxxxxx",
"members": null,
"username": "abc",
"email": "abc@fortinet.com",
"mobile_number": "+1123456789",
"refid": "12345678-abcd-efgh-1234-xxxxxxxxxxxx"
}
],
"auth_history": {}
}